<script lang="ts">
    import { createEventDispatcher } from 'svelte';

    const dispatch = createEventDispatcher();

    function closeModal() {
        dispatch('close');
    }

    // Function to handle overlay click
    function handleOverlayClick(event: MouseEvent) {
        // Check if the click is directly on the overlay and not on the modal
        if (event.target === event.currentTarget) {
            closeModal();
        }
    }
</script>

<div class="modal-overlay" on:click={handleOverlayClick}>
    <div class="modal">
        <slot></slot>
    </div>
</div>

<style>
    @import '../styles/modalStyle.css';
</style>
